Extended Package for Secure Shell (SSH), Version 1.0

Profile details

Status archived
Valid from 19.02.2016
Valid until 22.02.2023
Scheme πŸ‡ΊπŸ‡Έ US
Category Other Devices and Systems
Security level EAL1

Certification report

Extracted keywords

Protocols
SSH

Security Assurance Requirements (SAR)
APE_REQ, APE_CCL.1, APE_ECD.1, APE_INT.1, APE_OBJ.1, APE_REQ.1
Security Functional Requirements (SFR)
FCS_COP.1, FCS_SSH_EXT, FCS_SSHC_EXT, FCS_SSHS_EXT
Evaluation facilities
Acumen Security

Protection profile

Extracted keywords

Symmetric Algorithms
AES
Asymmetric Algorithms
ECDSA
Hash functions
PBKDF
Schemes
MAC
Protocols
SSH
Block cipher modes
ECB, CBC, GCM

Security Functional Requirements (SFR)
FCS_CKM.2.1, FCS_COP.1.1, FCS_RBG_EXT.2, FCS_TLSC_EXT.1, FCS_RBG_EXT.1, FCS_CKM.1.1, FCS_COP.1, FCS_SSH_EXT.1, FCS_SSH_EXT.1.1, FCS_SSHC_EXT.1, FCS_SSHS_EXT.1, FCS_SSHC_EXT.1.1, FCS_SSHC_EXT.1.4, FCS_SSHC_EXT.1.2, FCS_SSHC_EXT.1.3, FCS_COP, FCS_SSHC_EXT.1.8, FCS_SSHC_EXT.1.5, FCS_SSHC_EXT.1.6, FCS_SSHC_EXT.1.7, FCS_SSHS_EXT.1.1, FCS_SSHS_EXT.1.4, FCS_SSHS_EXT.1.2, FCS_SSHS_EXT.1.3, FCS_SSHS_EXT.1.5, FCS_SSHS_EXT.1.6, FCS_SSHS_EXT.1.7

Certification process
out of scope, algorithms indicated as "REQUIRED" but not listed in later elements of this Extended Package is out of scope for the assurance activity for this requirement

Standards
NIST SP 800-38A, NIST SP 800-131A, RFC 4253, RFC 5647, RFC 6668, RFC 4251, CCMB-2012-09-001, CCMB-2012-09-002, CCMB-2012-09-003

References

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Processing updates

Feed
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile data changed.
  • The protection profile was first processed.

Raw data

{
  "_id": "236bced46aeb26ba",
  "_type": "sec_certs.sample.protection_profile.ProtectionProfile",
  "dgst": "236bced46aeb26ba",
  "heuristics": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.Heuristics"
  },
  "pdf_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.PdfData",
    "pp_filename": "pp_ssh_ep_v1.0.pdf",
    "pp_keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECDSA": {
            "ECDSA": 1
          }
        }
      },
      "cc_cert_id": {},
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {},
      "cc_security_level": {},
      "cc_sfr": {
        "FCS": {
          "FCS_CKM.1.1": 1,
          "FCS_CKM.2.1": 2,
          "FCS_COP": 1,
          "FCS_COP.1": 1,
          "FCS_COP.1.1": 4,
          "FCS_RBG_EXT.1": 2,
          "FCS_RBG_EXT.2": 1,
          "FCS_SSHC_EXT.1": 2,
          "FCS_SSHC_EXT.1.1": 1,
          "FCS_SSHC_EXT.1.2": 1,
          "FCS_SSHC_EXT.1.3": 1,
          "FCS_SSHC_EXT.1.4": 3,
          "FCS_SSHC_EXT.1.5": 1,
          "FCS_SSHC_EXT.1.6": 1,
          "FCS_SSHC_EXT.1.7": 1,
          "FCS_SSHC_EXT.1.8": 2,
          "FCS_SSHS_EXT.1": 2,
          "FCS_SSHS_EXT.1.1": 1,
          "FCS_SSHS_EXT.1.2": 1,
          "FCS_SSHS_EXT.1.3": 1,
          "FCS_SSHS_EXT.1.4": 2,
          "FCS_SSHS_EXT.1.5": 1,
          "FCS_SSHS_EXT.1.6": 1,
          "FCS_SSHS_EXT.1.7": 1,
          "FCS_SSH_EXT.1": 1,
          "FCS_SSH_EXT.1.1": 16,
          "FCS_TLSC_EXT.1": 3
        }
      },
      "certification_process": {
        "OutOfScope": {
          "algorithms indicated as \"REQUIRED\" but not listed in later elements of this Extended Package is out of scope for the assurance activity for this requirement": 1,
          "out of scope": 1
        }
      },
      "cipher_mode": {
        "CBC": {
          "CBC": 1
        },
        "ECB": {
          "ECB": 1
        },
        "GCM": {
          "GCM": 1
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "SSH": {
          "SSH": 93
        }
      },
      "crypto_scheme": {
        "MAC": {
          "MAC": 14
        }
      },
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "hash_function": {
        "PBKDF": {
          "PBKDF": 1
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "CC": {
          "CCMB-2012-09-001": 1,
          "CCMB-2012-09-002": 1,
          "CCMB-2012-09-003": 1
        },
        "NIST": {
          "NIST SP 800-131A": 2,
          "NIST SP 800-38A": 1
        },
        "RFC": {
          "RFC 4251": 1,
          "RFC 4253": 7,
          "RFC 5647": 8,
          "RFC 6668": 2
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 2
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "pp_metadata": {
      "/CreationDate": "D:20160226095146-05\u002700\u0027",
      "/Creator": "wkhtmltopdf 0.12.2.1",
      "/ModDate": "D:20160229134907-05\u002700\u0027",
      "/Producer": "Qt 4.8.6",
      "/Title": "",
      "pdf_file_size_bytes": 216045,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "javascript:toggle(\u0027aactID-idp130464\u0027, \u0027link-aactID-idp130464\u0027);",
          "javascript:toggle(\u0027aactID-idp192192\u0027, \u0027link-aactID-idp192192\u0027);",
          "javascript:toggle(\u0027aactID-idp218208\u0027, \u0027link-aactID-idp218208\u0027);",
          "https://www.niap-ccevs.org/pp/PP_MDM_V2.0/",
          "javascript:toggle(\u0027aactID-idp227408\u0027, \u0027link-aactID-idp227408\u0027);",
          "javascript:toggle(\u0027aactID-idp111792\u0027, \u0027link-aactID-idp111792\u0027);",
          "javascript:toggle(\u0027aactID-idp125664\u0027, \u0027link-aactID-idp125664\u0027);",
          "javascript:toggle(\u0027aactID-idp212400\u0027, \u0027link-aactID-idp212400\u0027);",
          "javascript:toggle(\u0027aactID-idp251472\u0027, \u0027link-aactID-idp251472\u0027);",
          "http://www.commoncriteriaportal.org/files/ccfiles/CCPART3V3.1R4.pdf",
          "javascript:toggle(\u0027aactID-idp101904\u0027, \u0027link-aactID-idp101904\u0027);",
          "javascript:toggle(\u0027aactID-idp186592\u0027, \u0027link-aactID-idp186592\u0027);",
          "javascript:toggle(\u0027aactID-idp136576\u0027, \u0027link-aactID-idp136576\u0027);",
          "javascript:toggle(\u0027aactID-idp237104\u0027, \u0027link-aactID-idp237104\u0027);",
          "javascript:toggle(\u0027aactID-idp245344\u0027, \u0027link-aactID-idp245344\u0027);",
          "http://www.commoncriteriaportal.org/files/ccfiles/CCPART1V3.1R4.pdf",
          "https://www.niap-ccevs.org/pp/PP_OS_v4.0/",
          "javascript:toggle(\u0027aactID-idp204896\u0027, \u0027link-aactID-idp204896\u0027);",
          "javascript:toggle(\u0027aactID-idp93440\u0027, \u0027link-aactID-idp93440\u0027);",
          "http://www.commoncriteriaportal.org/files/ccfiles/CCPART2V3.1R4.pdf",
          "javascript:toggle(\u0027aactID-idp197616\u0027, \u0027link-aactID-idp197616\u0027);",
          "javascript:toggle(\u0027aactID-idp178400\u0027, \u0027link-aactID-idp178400\u0027);",
          "https://www.niap-ccevs.org/pp/PP_APP_v1.1/"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 28
    },
    "report_filename": "pp_ssh_ep_v1.0-vr.pdf",
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {
        "APE": {
          "APE_CCL.1": 1,
          "APE_ECD.1": 1,
          "APE_INT.1": 1,
          "APE_OBJ.1": 1,
          "APE_REQ": 1,
          "APE_REQ.1": 1
        }
      },
      "cc_security_level": {},
      "cc_sfr": {
        "FCS": {
          "FCS_COP.1": 1,
          "FCS_SSHC_EXT": 1,
          "FCS_SSHS_EXT": 1,
          "FCS_SSH_EXT": 1
        }
      },
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {
        "SSH": {
          "SSH": 12
        }
      },
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "Acumen": {
          "Acumen Security": 6
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {},
      "symmetric_crypto": {},
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "report_metadata": {
      "/Author": "McGeady, Megan [USA]",
      "/Comments": "",
      "/Company": "",
      "/CreationDate": "D:20171004124402-04\u002700\u0027",
      "/Creator": "Acrobat PDFMaker 11 for Word",
      "/Keywords": "",
      "/ModDate": "D:20171004124403-04\u002700\u0027",
      "/Producer": "Adobe PDF Library 11.0",
      "/SourceModified": "D:20171004164352",
      "/Subject": "",
      "/Title": "",
      "pdf_file_size_bytes": 112037,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://www.niap-ccevs.org/pp/pp_ssh_ep_v1.0.htm#abbr_EP"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 8
    }
  },
  "scheme_metadata": {
    "cc_version": "3.1",
    "pp_short_name": "PP_SSH_EP_v1.0",
    "pp_sponsor_id": "NIAP",
    "pp_transition": null,
    "predecessor": null,
    "source_scheme": "US",
    "successor": "PKG_SSH_V1.0"
  },
  "state": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.InternalState",
    "pp": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "59a6e9842019989a995487c8c58f533af965c84dad10f8692091c285069c4de7",
      "source_hash": "03dafcfb797eddb8e9b656ee1dd162099dae09ce8566b550eab9a1dbc0cf7317",
      "txt_hash": "5527d1242ba1cee71fa566b5180e1a489834df71f1363ef8a8493f549aad4c4a"
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "a21c95059d418400fde41fb724c95bbafc6cb0c760b1a5066325ae395c4ce23f",
      "source_hash": "aaa87dfa8d742949a7548279928d372d55ccdebef1ca2012149c6b2b4f4ee04d",
      "txt_hash": "f8f6f4619b8416f916c5a7f49e4b31ecf6a3934fc9a36ee14f6ed908b790a547"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.protection_profile.ProtectionProfile.WebData",
    "category": "Other Devices and Systems",
    "is_collaborative": false,
    "maintenances": [],
    "name": "Extended Package for Secure Shell (SSH), Version 1.0",
    "not_valid_after": "2023-02-22",
    "not_valid_before": "2016-02-19",
    "pp_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/pp_ssh_ep_v1.0.pdf",
    "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/ppfiles/pp_ssh_ep_v1.0-vr.pdf",
    "scheme": "US",
    "security_level": {
      "_type": "Set",
      "elements": [
        "EAL1"
      ]
    },
    "status": "archived",
    "version": "1.0"
  }
}